Subject: bug#25031: Recovery from sleep/hibernate is broken

From: Nikolay Merinov <[email-masked]>
Date: Sun, 27 Nov 2016 04:23:23 +0500

Hi,

Thank you for answer about hibernation. Can you help me with similar
issue with sleeping?

I can freeze system and wake it up with "echo freeze > /sys/power/state"
command, but system can't wake up from suspend to mem (that can be
started with closing display, pressing sleep button or with "echo mem >
/sys/power/state" command).

Log after freeze command attached. As far as I can see wakeup must be
possible with "sleep" button:

    $ cat /proc/acpi/wakeup 
    Device  S-state   Status   Sysfs node
    HDEF      S4    *disabled  pci:0000:00:1b.0
    USB1      S4    *enabled   pci:0000:00:1d.0
    USB2      S4    *enabled   pci:0000:00:1d.1
    USB3      S4    *enabled   pci:0000:00:1d.2
    EHC1      S4    *enabled   pci:0000:00:1d.7
    USB4      S4    *enabled   pci:0000:00:1a.0
    USB5      S4    *enabled   pci:0000:00:1a.1
    USB6      S4    *enabled   pci:0000:00:1a.2
    EHC2      S4    *enabled   pci:0000:00:1a.7
    SLT1      S4    *disabled
    SLT2      S4    *disabled
    SLT3      S4    *disabled
    SLT6      S4    *disabled
    LANC      S3    *disabled
    LANR      S3    *disabled
    SLPB      S3    *enabled   platform:PNP0C0E:00
    LID       S3    *enabled   platform:PNP0C0D:00

When I power off notebook and restart it after sleep there is nothing
about sleep in logs.

Regards,
Nikolay

[email-masked] (Ludovic Courtès) writes:

> Hello,
>
> Nikolay Merinov <[email-masked]> skribis:
>
>> I use GuixSD on libreboot x200. Issue was checked with linux-libre kernels 4.1,
>> 4.8, 4.10; with libreboot 2015-01-26, 2015-05-18, 2016-09-07; with and
>> without "resume=/dev/sda2" option (my swap partition on /dev/sda2).
>>
>> I can't resume neither from suspend to ram nor from suspend to disk.
>>
>> I start hibernation with "echo disk > /sys/power/state" command. On
>> next boot image does not restored. I can see that image was saved:
>>
>>     # swapon /dev/sda2
>>     swapon: /dev/sda2: software suspend data detected. Rewriting the swap signature.
>
> Hibernation is not supported yet in GuixSD, unless you applied this
> patch:
>
>   https://lists.gnu.org/archive/html/guix-devel/2016-08/msg00962.html
>
> If you want to try it out, feedback is welcome!  Note that Mark did
> mention that it’s risky, but that it worked in their tests.
>
> Thanks,
> Ludo’.